
Ruby - Bug #15607

RuntimeError (can't get Master/Slave device) using PTY.open

02/15/2019 12:07 PM - milo974 (Wesley Mouedine Assaby)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.5.3p105 (2018-10-18 revision

65156) [x86_64-openbsd]

Backport: 2.4: REQUIRED, 2.5: DONE, 2.6: DONE

Description

Hi

I use OpenBSD 6.4 (amd64) with ruby 2.5.3p105

All code that use PTY module doesn't work, i get RuntimeError(can't get Master/Slave device).

In a console IRB :

require 'pty'

==>true

master, slave = PTY.open

Traceback (most recent call last):

3: from /usr/local/bin/irb:11:in <main>'         2: from (irb):2         1: from (irb):2:in open'

RuntimeError (can't get Master/Slave device)

 

I can provide you ssh access to OpenBSD if you need.

Thank you very much.

Associated revisions

Revision a679e98e64a7c69d65578b11ef072e1115d536ad - 03/06/2019 09:48 AM - naruse (Yui NARUSE)

Fix PTY.open on OpenBSD [Bug #15607]

From: Jeremy Evans code@jeremyevans.net

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@67183 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a679e98e64a7c69d65578b11ef072e1115d536ad - 03/06/2019 09:48 AM - naruse (Yui NARUSE)

Fix PTY.open on OpenBSD [Bug #15607]

From: Jeremy Evans code@jeremyevans.net

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@67183 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision a679e98e - 03/06/2019 09:48 AM - naruse (Yui NARUSE)

Fix PTY.open on OpenBSD [Bug #15607]

From: Jeremy Evans code@jeremyevans.net

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@67183 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ce5590fc9f6d9ad728b0592a18311022807e61d4 - 03/06/2019 09:49 AM - naruse (Yui NARUSE)

merge revision(s) 67183: [Backport #15607]

    Fix PTY.open on OpenBSD [Bug #15607]

    From: Jeremy Evans <code@jeremyevans.net>
 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67184 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ce5590fc9f6d9ad728b0592a18311022807e61d4 - 03/06/2019 09:49 AM - naruse (Yui NARUSE)

merge revision(s) 67183: [Backport #15607]

    Fix PTY.open on OpenBSD [Bug #15607]

    From: Jeremy Evans <code@jeremyevans.net>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67184 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision ce5590fc - 03/06/2019 09:49 AM - naruse (Yui NARUSE)

merge revision(s) 67183: [Backport #15607]

    Fix PTY.open on OpenBSD [Bug #15607]

    From: Jeremy Evans <code@jeremyevans.net>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_6@67184 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 80266bfb39984cd6f1b9c5fed790a738fcd54d16 - 03/06/2019 11:32 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 67183: [Backport #15607]

    Fix PTY.open on OpenBSD [Bug #15607]

    From: Jeremy Evans <code@jeremyevans.net>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@67186 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 80266bfb39984cd6f1b9c5fed790a738fcd54d16 - 03/06/2019 11:32 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 67183: [Backport #15607]

    Fix PTY.open on OpenBSD [Bug #15607]

    From: Jeremy Evans <code@jeremyevans.net>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@67186 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision 80266bfb - 03/06/2019 11:32 AM - nagachika (Tomoyuki Chikanaga)

merge revision(s) 67183: [Backport #15607]

    Fix PTY.open on OpenBSD [Bug #15607]

    From: Jeremy Evans <code@jeremyevans.net>

 git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/branches/ruby_2_5@67186 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 02/20/2019 01:27 AM - jeremyevans0 (Jeremy Evans)

- File 0001-Fix-PTY.open-on-OpenBSD.patch added

- Backport changed from 2.4: UNKNOWN, 2.5: UNKNOWN, 2.6: UNKNOWN to 2.4: REQUIRED, 2.5: REQUIRED, 2.6: REQUIRED

Attached is a fix to this issue, by just adding || defined(__OpenBSD__).

The example in the PTY document works correctly with this patch.

#2 - 03/06/2019 09:48 AM - naruse (Yui NARUSE)

- Status changed from Open to Closed

Applied in changeset trunk|r67183.

Fix PTY.open on OpenBSD [Bug #15607]

From: Jeremy Evans code@jeremyevans.net
#3 - 03/06/2019 09:50 AM - naruse (Yui NARUSE)

- Backport changed from 2.4: REQUIRED, 2.5: REQUIRED, 2.6: REQUIRED to 2.4: REQUIRED, 2.5: REQUIRED, 2.6: DONE

ruby_2_6 r67184 merged revision(s) 67183.

#4 - 03/06/2019 11:32 AM - nagachika (Tomoyuki Chikanaga)

- Backport changed from 2.4: REQUIRED, 2.5: REQUIRED, 2.6: DONE to 2.4: REQUIRED, 2.5: DONE, 2.6: DONE

ruby_2_5 r67186 merged revision(s) 67183.

Files

0001-Fix-PTY.open-on-OpenBSD.patch 948 Bytes 02/20/2019 jeremyevans0 (Jeremy Evans)
